part of 'code_update_timeline_cubit.dart';

abstract class CodeUpdateTimelineState extends Equatable {
  const CodeUpdateTimelineState();

  @override
  List<Object> get props => [];
}

class CodeUpdateTimelineInitial extends CodeUpdateTimelineState {}

class CodeUpdateTimelineLoading extends CodeUpdateTimelineState {}

class CodeUpdateTimelineFailure extends CodeUpdateTimelineState {
  final String errorMessage;

  CodeUpdateTimelineFailure(this.errorMessage);
}

class CodeUpdateTimelinePrepareDataSuccessful extends CodeUpdateTimelineState {
  CodeUpdateTimelinePrepareDataSuccessful();
}
